Skip to main content
POST
/
uploads
/
{id}
/
complete
Finalize a resumable upload
curl --request POST \
  --url https://app.strandai.com/api/v1/uploads/{id}/complete \
  --header 'Authorization: Bearer <token>'
{
  "uploadId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "widthPx": 123,
  "heightPx": 123
}

Documentation Index

Fetch the complete documentation index at: https://docs.strandai.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

Response

Upload finalized

uploadId
string<uuid>
required
status
enum<string>
required
Available options:
ready
widthPx
integer
required
heightPx
integer
required
dimensionsSource
enum<string>
Available options:
sharp,
stub